Package org.jbpm.persistence

## Class JpaProcessPersistenceContextManager

- java.lang.Object
- - org.drools.persistence.jpa.AbstractPersistenceContextManager
  - - org.drools.persistence.jpa.JpaPersistenceContextManager
    - - org.jbpm.persistence.JpaProcessPersistenceContextManager

- All Implemented Interfaces:
    `org.drools.persistence.api.PersistenceContextManager`, `org.jbpm.persistence.api.ProcessPersistenceContextManager`

      public class JpaProcessPersistenceContextManager
      extends org.drools.persistence.jpa.JpaPersistenceContextManager
      implements org.jbpm.persistence.api.ProcessPersistenceContextManager

- - ### Field Summary

    - ### Fields inherited from class org.drools.persistence.jpa.AbstractPersistenceContextManager

      `appScopedEntityManager, cmdScopedEntityManager, emf, env, internalAppScopedEntityManagerFlag, internalCmdScopedEntityManagerFlag, txm`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JpaProcessPersistenceContextManager​(org.kie.api.runtime.Environment env)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.persistence.EntityManager` | `getCommandScopedEntityManager()` |
    `org.jbpm.persistence.api.ProcessPersistenceContext` | `getProcessPersistenceContext()` |

    - ### Methods inherited from class org.drools.persistence.jpa.JpaPersistenceContextManager

      `beginCommandScopedEntityManager, getApplicationScopedPersistenceContext, getCommandScopedPersistenceContext`

    - ### Methods inherited from class org.drools.persistence.jpa.AbstractPersistenceContextManager

      `dispose, endCommandScopedEntityManager, getApplicationScopedEntityManager, getInternalCommandScopedEntityManager, resetApplicationScopedPersistenceContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.persistence.api.PersistenceContextManager

      `beginCommandScopedEntityManager, dispose, endCommandScopedEntityManager, getApplicationScopedPersistenceContext, getCommandScopedPersistenceContext, resetApplicationScopedPersistenceContext`

- - ### Constructor Detail

    - #### JpaProcessPersistenceContextManager

          public JpaProcessPersistenceContextManager​(org.kie.api.runtime.Environment env)

  - ### Method Detail

    - #### getProcessPersistenceContext

          public org.jbpm.persistence.api.ProcessPersistenceContext getProcessPersistenceContext()

      Specified by:
        `getProcessPersistenceContext` in interface `org.jbpm.persistence.api.ProcessPersistenceContextManager`

    - #### getCommandScopedEntityManager

          public javax.persistence.EntityManager getCommandScopedEntityManager()

      Overrides:
        `getCommandScopedEntityManager` in class `org.drools.persistence.jpa.AbstractPersistenceContextManager`